Browse Source

Add local bindep.txt

As it was announced [1] global bindep-fallback.txt was removed and now
projects need to have a local bindep.txt to be able to install binary
dependencies for testing.

In test jobs the script tools/test-setup.sh is called which requires
mysql and postgres servers and clients to be installed.

[1] http://lists.openstack.org/pipermail/openstack-discuss/2019-June/007272.html

Change-Id: If9befe4115c64c2fda52321002ba5fe1124eaf7c
tags/13.0.0.0rc1
Elod Illes 5 months ago
parent
commit
d116b21696
4 changed files with 53 additions and 18 deletions
  1. +41
    -0
      bindep.txt
  2. +0
    -9
      tools/test-requires-deb
  3. +0
    -9
      tools/test-requires-rpm
  4. +12
    -0
      tox.ini

+ 41
- 0
bindep.txt View File

@@ -0,0 +1,41 @@
# This is a cross-platform list tracking distribution packages needed for install and tests;
# see https://docs.openstack.org/infra/bindep/ for additional information.

mysql-server [platform:dpkg]
mariadb-server [platform:redhat]
postgresql

build-essential [platform:dpkg]
python-dev [platform:dpkg]
python3-all-dev [platform:dpkg]
libxml2-dev [platform:dpkg]
libxslt1-dev [platform:dpkg]
libyaml-dev [platform:dpkg]
libssl-dev [platform:dpkg]
libffi-dev [platform:dpkg]
libmysqlclient-dev [platform:dpkg]
libpq-dev [platform:dpkg]
mysql-client [platform:dpkg]
postgresql-client [platform:dpkg]

gcc [platform:rpm]
python-devel [platform:rpm]
python3-devel [platform:fedora platform:suse]
python3 [platform:suse]
libxml2-devel [platform:rpm]
libxslt-devel [platform:rpm]
libyaml-devel [platform:rpm]
openssl-devel [platform:rpm]
libffi-devel [platform:redhat platform:suse !platform:opensuse423]
libffi48-devel [platform:opensuse423]
mariadb-devel [platform:redhat]
libmysqlclient-devel [platform:suse]
postgresql-devel [platform:rpm]

dev-libs/libxml2 [platform:gentoo]
dev-libs/libxslt [platform:gentoo]
dev-libs/libyaml [platform:gentoo]
dev-libs/openssl [platform:gentoo]
virtual/libffi [platform:gentoo]
dev-db/mariadb [platform:gentoo]


+ 0
- 9
tools/test-requires-deb View File

@@ -1,9 +0,0 @@
build-essential
python-dev
libxml2-dev
libxslt1-dev
libyaml-dev
libssl-dev
libffi-dev
libmysqlclient-dev
libpq-dev

+ 0
- 9
tools/test-requires-rpm View File

@@ -1,9 +0,0 @@
gcc
python-devel
libxml2-devel
libxslt-devel
libyaml-devel
openssl-devel
libffi-devel
mariadb-devel
postgresql-devel

+ 12
- 0
tox.ini View File

@@ -133,6 +133,18 @@ basepython = python3
deps = -r{toxinidir}/doc/requirements.txt
commands = sphinx-build -a -E -W -d releasenotes/build/doctrees -b html releasenotes/source releasenotes/build/html

[testenv:bindep]
basepython = python3
# Do not install any requirements. We want this to be fast and work even if
# system dependencies are missing, since it's used to tell you what system
# dependencies are missing! This also means that bindep must be installed
# separately, outside of the requirements files, and develop mode disabled
# explicitly to avoid unnecessarily installing the checked-out repo too (this
# further relies on "tox.skipsdist = True" above).
deps = bindep
commands = bindep test
usedevelop = False

[testenv:lower-constraints]
basepython = python3
install_command = pip install {opts} {packages}

Loading…
Cancel
Save